package org.kde.koala;
import org.kde.qt.*;


/** {@link KIconButton} emits these signals */
public interface KIconButtonSignals {
	void destroyed( QObject obj );
	void released();
	void stateChanged( int arg1 );
	void toggled( boolean arg1 );
	void pressed();
	void clicked();

/** 
 Emitted when the icon has changed.
     
*/
	void iconChanged( String icon );
}

